org.encog.ml.data.auto

## Class AutoFloatDataSet

- java.lang.Object
- - org.encog.ml.data.auto.AutoFloatDataSet

- All Implemented Interfaces:
    Serializable, Iterable<MLDataPair>, MLDataSet

      public class AutoFloatDataSet
      extends Object
      implements Serializable, MLDataSet

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AutoFloatDataSet.AutoFloatIterator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoFloatDataSet(int theInputCount, int theIdealCount, int theInputWindowSize, int theOutputWindowSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(MLData data1)` Add a object to the dataset.
    `void` | `add(MLData inputData, MLData idealData)` Add a set of input and ideal data to the dataset.
    `void` | `add(MLDataPair inputData)` Add a an object to the dataset.
    `void` | `addColumn(float[] data)`
    `void` | `close()` Close this datasource and release any resources obtained by it, including any iterators created.
    `MLDataPair` | `get(int index)`
    `int` | `getIdealSize()`
    `int` | `getInputSize()`
    `float` | `getNormalizedMax()`
    `float` | `getNormalizedMin()`
    `void` | `getRecord(long index, MLDataPair pair)` Read an individual record, specified by index, in random order.
    `long` | `getRecordCount()` Determine the total number of records in the set.
    `boolean` | `isNormalizationEnabled()`
    `boolean` | `isSupervised()`
    `Iterator<MLDataPair>` | `iterator()`
    `void` | `loadCSV(String filename, boolean headers, CSVFormat format, int[] input, int[] ideal)`
    `MLDataSet` | `openAdditional()` Opens an additional instance of this dataset.
    `void` | `setNormalizationEnabled(boolean normalizationEnabled)`
    `void` | `setNormalizedMax(float normalizedMax)`
    `void` | `setNormalizedMin(float normalizedMin)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoFloatDataSet

          public AutoFloatDataSet(int theInputCount,
                          int theIdealCount,
                          int theInputWindowSize,
                          int theOutputWindowSize)

  - ### Method Detail

    - #### iterator

          public Iterator<MLDataPair> iterator()

      Specified by:
        `iterator` in interface `Iterable<MLDataPair>`

    - #### getIdealSize

          public int getIdealSize()

      Specified by:
        `getIdealSize` in interface `MLDataSet`
      Returns:
        The size of the ideal data.

    - #### getInputSize

          public int getInputSize()

      Specified by:
        `getInputSize` in interface `MLDataSet`
      Returns:
        The size of the input data.

    - #### isSupervised

          public boolean isSupervised()

      Specified by:
        `isSupervised` in interface `MLDataSet`
      Returns:
        True if this is a supervised training set.

    - #### getRecordCount

          public long getRecordCount()

      Description copied from interface: `MLDataSet`
      Determine the total number of records in the set.
      Specified by:
        `getRecordCount` in interface `MLDataSet`
      Returns:
        The total number of records in the set.

    - #### getRecord

          public void getRecord(long index,
                       MLDataPair pair)

      Description copied from interface: `MLDataSet`
      Read an individual record, specified by index, in random order.
      Specified by:
        `getRecord` in interface `MLDataSet`
      Parameters:
        `index` - The index to read.
        `pair` - The pair that the record will be copied into.

    - #### openAdditional

          public MLDataSet openAdditional()

      Description copied from interface: `MLDataSet`
      Opens an additional instance of this dataset.
      Specified by:
        `openAdditional` in interface `MLDataSet`
      Returns:
        The new instance.

    - #### add

          public void add(MLData data1)

      Description copied from interface: `MLDataSet`
      Add a object to the dataset. This is used with unsupervised training, as no ideal output is provided. Note: not all implemenations support the add methods.
      Specified by:
        `add` in interface `MLDataSet`
      Parameters:
        `data1` - The data item to be added.

    - #### add

          public void add(MLData inputData,
                 MLData idealData)

      Description copied from interface: `MLDataSet`
      Add a set of input and ideal data to the dataset. This is used with supervised training, as ideal output is provided. Note: not all implementations support the add methods.
      Specified by:
        `add` in interface `MLDataSet`
      Parameters:
        `inputData` - Input data.
        `idealData` - Ideal data.

    - #### add

          public void add(MLDataPair inputData)

      Description copied from interface: `MLDataSet`
      Add a an object to the dataset. This is used with unsupervised training, as no ideal output is provided. Note: not all implementations support the add methods.
      Specified by:
        `add` in interface `MLDataSet`
      Parameters:
        `inputData` - A MLDataPair object that contains both input and ideal data.

    - #### close

          public void close()

      Description copied from interface: `MLDataSet`
      Close this datasource and release any resources obtained by it, including any iterators created.
      Specified by:
        `close` in interface `MLDataSet`

    - #### size

          public int size()

      Specified by:
        `size` in interface `MLDataSet`

    - #### get

          public MLDataPair get(int index)

      Specified by:
        `get` in interface `MLDataSet`

    - #### addColumn

          public void addColumn(float[] data)

    - #### loadCSV

          public void loadCSV(String filename,
                     boolean headers,
                     CSVFormat format,
                     int[] input,
                     int[] ideal)

    - #### getNormalizedMax

          public float getNormalizedMax()

      Returns:
        the normalizedMax

    - #### setNormalizedMax

          public void setNormalizedMax(float normalizedMax)

      Parameters:
        `normalizedMax` - the normalizedMax to set

    - #### getNormalizedMin

          public float getNormalizedMin()

      Returns:
        the normalizedMin

    - #### setNormalizedMin

          public void setNormalizedMin(float normalizedMin)

      Parameters:
        `normalizedMin` - the normalizedMin to set

    - #### isNormalizationEnabled

          public boolean isNormalizationEnabled()

      Returns:
        the normalizationEnabled

    - #### setNormalizationEnabled

          public void setNormalizationEnabled(boolean normalizationEnabled)

      Parameters:
        `normalizationEnabled` - the normalizationEnabled to set

Copyright © 2014. All Rights Reserved.